%global commit bd245c9

Name:           pcfi
Version:        2010.08.09
Release:        %mkrel 20111216git%{commit}.12
Summary:        PDF Core Font Information

Group:          Development/Java
License:        BSD
URL:            https://github.com/jukka/pcfi
Source0:        https://github.com/jukka/pcfi/tarball/%{commit}/jukka-pcfi-%{commit}.tar.gz
# Originally downloaded from: http://opensource.adobe.com/wiki/display/cmap/License
# This now points to Adobe's sourceforge pages
Source1:        License
BuildArch:      noarch
BuildRequires:  maven-local
Requires:       jpackage-utils


%description
Collection of PDF core font information files downloaded from Adobe's
Developer Center and elsewhere. This collection contains font metrics for the
14 PDF core fonts, CMaps for the PDF CJK fonts and the Adobe Glyph List.   The
files are stored inside the com/adobe/pdf/pcfi directory. See the individual
files for exact licensing information.


%prep
%setup -q -n jukka-pcfi-%{commit}
sed -i 's/\r//' src/main/resources/META-INF/LICENSE.txt
cp %SOURCE1 .


%build
%mvn_build


%install
%mvn_install


%files -f .mfiles
%doc README.txt src/main/resources/META-INF/LICENSE.txt License



%changelog
* Sun Jun 29 2025 umeabot <umeabot> 2010.08.09-20111216gitbd245c9.12.mga10
+ Revision: 2223903
- Mageia 10 Mass Rebuild

* Mon May 27 2024 ns80 <ns80> 2010.08.09-20111216gitbd245c9.11.mga10
+ Revision: 2068256
- rebuild for java 21

* Sat Mar 26 2022 umeabot <umeabot> 2010.08.09-20111216gitbd245c9.10.mga9
+ Revision: 1827330
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2010.08.09-20111216gitbd245c9.9.mga8
+ Revision: 1492693
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2010.08.09-20111216gitbd245c9.8.mga7
+ Revision: 1265667
- Mageia 7 Mass Rebuild

* Fri Apr 01 2016 daviddavid <daviddavid> 2010.08.09-20111216gitbd245c9.7.mga6
+ Revision: 997312
- First rebuild of the java stack
+ neoclust <neoclust>
- sync package pcfi with fedora

* Sat Jan 17 2015 daviddavid <daviddavid> 2010.08.09-20111216.bd245c9.6.mga5
+ Revision: 811087
- Sync with fc21

* Fri Oct 24 2014 umeabot <umeabot> 2010.08.09-20111216.bd245c9.5.mga5
+ Revision: 792875
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2010.08.09-20111216.bd245c9.3.mga4
+ Revision: 508916
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2010.08.09-20111216.bd245c9.2.mga3
+ Revision: 362639
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 16 2011 gil <gil> 2010.08.09-20111216.bd245c9.1.mga2
+ Revision: 182856
- imported package pcfi


* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2010.08.09-10.20111103gitbd245c9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2010.08.09-9.20111103gitbd245c9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2010.08.09-8.20111103gitbd245c9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Orion Poplawski <orion@cora.nwra.com> - 2010.08.09-7.20111103gitbd245c9
- Use new maven macros to build

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2010.08.09-7.20111103gitbd245c9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2010.08.09-6.20111103gitbd245c9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 2010.08.09-5.20111103gitbd245c9
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2010.08.09-4.20111103gitbd245c9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2010.08.09-3.20111103gitbd245c9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Nov 3 2011 Orion Poplawski <orion@cora.nwra.com> - 2010.08.09-2.20111103gitbd245c9
- Use github upstream, build with maven
- Drop BuildRoot

* Thu Aug 11 2011 Orion Poplawski <orion@cora.nwra.com> - 2010.08.09-1
- Initial package
